Servoy JasperReports Plugin - Defect #830

nullpointer exception when using virtualizer
11/19/2014 12:16 PM - Harjo Kompagnie

Status: Resolved Start date: 11/19/2014
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Hi, we have updated to jasper reports plugin, version 4.0.2 final and Servoy 7.4.2
When using the virtualizer, like this: vParameters.put('VIRTUALIZER_TYPE', "swapFile"); //possible options: file, swapFile, gZip

works fine in developer, but | get a nullpointer exception, when used in smart-client from a real app-server.

SEVERE: Throwable

java.lang.NullPointerException

at net.sf.jasperreports.engine.JRPropertiesUtil.getProperty(JRPropertiesUtil.java: 143)
at net.sf.jasperreports.engine.JRPropertiesUtil.getIintegerProperty (JRPropertiesUtil.java:559)
at net.sf.jasperreports.engine.fill. JRVirtualizationContext.readObject(JRVirtualizationContext.java:376)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectlnputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.ElementsBlock.readObject(VirtualizableElementList.java:559)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.JRVirtualPrintPage.readObject(JRVirtualPrintPage.java:241)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectlnputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at java.util.ArrayList.readObject(Unknown Source)

at sun.reflect. GeneratedMethodAccessor13.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)
at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectlnputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.defaultReadObject(Unknown Source)

at net.sf.jasperreports.engine.JasperPrint.readObject(JasperPrint.java:681)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at sun.rmi.server.UnicastRef.unmarshalValue(Unknown Source)

at sun.rmi.server.UnicastRef.invoke(Unknown Source)

at com.servoy.plugins.jasperreports.JasperReportsServer_Stub.getJasperPrint(Unknown Source)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at com.servoy.j2db.util. AbstractRemotelnvocationHandler.invokeMethod(AbstractRemotelnvocationHandler.java:77)
at com.servoy.j2db.util. ThreadingRemotelnvocationHandler$1.run(ThreadingRemotelnvocationHandler.java:79)
at java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source)

at java.util.concurrent. ThreadPoolExecutor$Worker.run(Unknown Source)

at java.lang.Thread.run(Unknown Source)

nov 19, 2014 10:25:51 AM com.servoy.j2db.util.Debug error
SEVERE: Throwable, script stacktrace:
at DirectManager/forms/quotes_detail/gotoPrintMenu:393 (gotoPrintMenu)

Exception Object: java.lang.Exception: java.lang.NullPointerException

MSG: java.lang.NullPointerException

nov 19, 2014 10:25:51 AM com.servoy.j2db.util.Debug error

SEVERE: null

org.mozilla.javascript. WrappedException: Wrapped java.lang.Exception: java.lang.NullPointerException
(DirectManager/forms/quotes_detail/gotoPrintMenu#393)

at org.mozilla.javascript.Context.throwAsScriptRuntimeEx(Context.java:1815)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:180)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.optimizer.OptRuntime.callN(OptRuntime.java:78)

at org.mozilla.javascript.gen.DirectManager_forms_quotes_print_menu_printQuoteJasper_144._c_printQuotedasper_0(Unknown
Source)

at org.mozilla.javascript.gen.DirectManager_forms_quotes_print_menu_printQuoteJasper_144.call(Unknown Source)
at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:628)

at com.servoy.j2db.BasicFormController.executeFunction(BasicFormController.java:818)

at com.servoy.j2db.FormController.executeFunction(FormController.java:1274)

at com.servoy.j2db.FormController.executeFunction(FormController.java:1141)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:1053)

at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:284)

at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:250)

at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:218)

at com.servoy.j2db.smart.dataui.AbstractScriptLabel$5.mouseReleased(AbstractScriptLabel.java:929)
at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)
at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventimpl(Unknown Source)

at java.awt.EventQueue.access$200(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue$4.run(Unknown Source)

at java.awt.EventQueue$4.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.WaitDispatchSupport$2.run(Unknown Source)

at java.awt.WaitDispatchSupport$4.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.awt.WaitDispatchSupport.enter(Unknown Source)

at java.awt.Dialog.show(Unknown Source)

at java.awt.Component.show(Unknown Source)

at java.awt.Component.setVisible(Unknown Source)

at java.awt.Window.setVisible(Unknown Source)

at java.awt.Dialog.setVisible(Unknown Source)

at com.servoy.j2db.util.gui.JEscapeDialog.setVisible(JEscapeDialog.java:170)

at com.servoy.j2db.gui.FormDialog.setVisible(FormDialog.java:164)

at com.servoy.j2db.smart.SwingRuntimeWindow.finalizeShowWindow(SwingRuntimeWindow.java:872)
at com.servoy.j2db.smart.SwingRuntimeWindow.doOldShowInDialog(SwingRuntimeWindow.java:508)
at com.servoy.j2db.smart.SwingRuntimeWindow.doOIldShow(SwingRuntimeWindow.java:417)
at com.servoy.j2db.scripting.RuntimeWindow.doShow(RuntimeWindow.java:295)

at com.servoy.j2db.scripting. RuntimeWindow.show(RuntimeWindow.java:289)

at com.servoy.j2db.scripting.RuntimeWindow.showObject(RuntimeWindow.java:276)

at com.servoy.j2db.scripting.JSWindow.js_show(JSWindow.java:155)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.optimizer.OptRuntime.call1 (OptRuntime.java:62)

at
org.mozilla.javascript.gen.DirectManager_forms_quotes_detail_gotoPrintMenu_129._c_gotoPrintMenu_0(DirectManager/forms/quot
es_detail/gotoPrintMenu:393)

at
org.mozilla.javascript.gen.DirectManager_forms_quotes_detail_gotoPrintMenu_129.call(DirectManager/forms/quotes_detail/gotoPrin
tMenu)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3204)

at
org.mozilla.javascript.gen.DirectManager_forms_quotes_detail_gotoPrintMenu_129.call(DirectManager/forms/quotes_detail/gotoPrin
tMenu)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:628)

at com.servoy.j2db.BasicFormController.executeFunction(BasicFormController.java:818)

at com.servoy.j2db.FormController.executeFunction(FormController.java:1274)

at com.servoy.j2db.FormController.executeFunction(FormController.java:1141)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:1053)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:284)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:250)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:218)
at com.servoy.j2db.smart.dataui.AbstractScriptLabel$5.mouseReleased(AbstractScriptLabel.java:929)
at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)
at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventlmpl(Unknown Source)

at java.awt.EventQueue.access$200(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue$4.run(Unknown Source)

at java.awt.EventQueue$4.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

Caused by: java.lang.Exception: java.lang.NullPointerException

at com.servoy.plugins.jasperreports.JasperReportsProvider.runReport(JasperReportsProvider.java:649)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:300)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:207)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:189)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

... 112 more

Caused by: java.lang.NullPointerException

at net.sf.jasperreports.engine.JRPropertiesUtil.getProperty (JRPropertiesUtil.java: 143)

at net.sf.jasperreports.engine.JRPropertiesUtil.getIntegerProperty (JRPropertiesUtil.java:559)

at net.sf.jasperreports.engine.fill.JRVirtualizationContext.readObject(JRVirtualizationContext.java:376)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.ElementsBlock.readObject(VirtualizableElementList.java:559)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectlnputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.JRVirtualPrintPage.readObject(JRVirtualPrintPage.java:241)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)
at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at java.util.ArrayList.readObject(Unknown Source)

at sun.reflect. GeneratedMethodAccessor13.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectlnputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.defaultReadObject(Unknown Source)

at net.sf.jasperreports.engine.JasperPrint.readObject(JasperPrint.java:681)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at sun.rmi.server.UnicastRef.unmarshalValue(Unknown Source)

at sun.rmi.server.UnicastRef.invoke(Unknown Source)

at com.servoy.plugins.jasperreports.JasperReportsServer_Stub.getJasperPrint(Unknown Source)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at com.servoy.j2db.util. AbstractRemotelnvocationHandler.invokeMethod(AbstractRemotelnvocationHandler.java:77)
at com.servoy.j2db.util. ThreadingRemotelnvocationHandler$1.run(ThreadingRemotelnvocationHandler.java:79)
at java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source)
at java.util.concurrent. ThreadPoolExecutor$Worker.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)

nov 19, 2014 10:25:51 AM com.servoy.j2db.util.Debug error
SEVERE: null, script stacktrace:
at DirectManager/forms/quotes_detail/gotoPrintMenu:393 (gotoPrintMenu)

nov 19, 2014 10:26:17 AM com.servoy.j2db.util.Debug error

SEVERE: Throwable

java.lang.NullPointerException

at net.sf.jasperreports.engine.JRPropertiesUtil.getProperty(JRPropertiesUtil.java:143)

at net.sf.jasperreports.engine.JRPropertiesUtil.getIintegerProperty (JRPropertiesUtil.java:559)

at net.sf.jasperreports.engine.fill. JRVirtualizationContext.readObject(JRVirtualizationContext.java:376)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.ElementsBlock.readObject(VirtualizableElementList.java:559)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlimpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectlnputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.JRVirtualPrintPage.readObject(JRVirtualPrintPage.java:241)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectlnputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at java.util.ArrayList.readObject(Unknown Source)

at sun.reflect. GeneratedMethodAccessor13.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectlnputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.defaultReadObject(Unknown Source)

at net.sf.jasperreports.engine.JasperPrint.readObject(JasperPrint.java:681)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectlnputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at sun.rmi.server.UnicastRef.unmarshalValue(Unknown Source)

at sun.rmi.server.UnicastRef.invoke(Unknown Source)

at com.servoy.plugins.jasperreports.JasperReportsServer_Stub.getJasperPrint(Unknown Source)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)

at com.servoy.j2db.util. AbstractRemotelnvocationHandler.invokeMethod(AbstractRemotelnvocationHandler.java:77)
at com.servoy.j2db.util. ThreadingRemotelnvocationHandler$1.run(ThreadingRemotelnvocationHandler.java:79)
at java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source)
at java.util.concurrent. ThreadPoolExecutor$Worker.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)

nov 19, 2014 10:26:17 AM com.servoy.j2db.util.Debug error
SEVERE: Throwable, script stacktrace:
at DirectManager/forms/quotes_detail/gotoPrintMenu:393 (gotoPrintMenu)

History

#1 - 05/27/2015 09:06 AM - Gabi Boros

- Status changed from New to Resolved
fixed in 4.0.3 by using jasperlib v. 4.7.1
